import xhiveframework


def execute():
	providers = xhiveframework.get_all("Social Login Key")

	for provider in providers:
		doc = xhiveframework.get_doc("Social Login Key", provider)
		doc.set_icon()
		doc.save()
